[arch-commits] Commit in gvfs/repos (10 files)

Ionut Biru ibiru at archlinux.org
Mon Oct 17 09:34:15 EDT 2011


    Date: Monday, October 17, 2011 @ 09:34:14
  Author: ibiru
Revision: 140615

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  gvfs/repos/testing-i686/
  gvfs/repos/testing-i686/PKGBUILD
    (from rev 140614, gvfs/trunk/PKGBUILD)
  gvfs/repos/testing-i686/gvfs-module.install
    (from rev 140614, gvfs/trunk/gvfs-module.install)
  gvfs/repos/testing-i686/gvfs-smb.install
    (from rev 140614, gvfs/trunk/gvfs-smb.install)
  gvfs/repos/testing-i686/gvfs.install
    (from rev 140614, gvfs/trunk/gvfs.install)
  gvfs/repos/testing-x86_64/
  gvfs/repos/testing-x86_64/PKGBUILD
    (from rev 140614, gvfs/trunk/PKGBUILD)
  gvfs/repos/testing-x86_64/gvfs-module.install
    (from rev 140614, gvfs/trunk/gvfs-module.install)
  gvfs/repos/testing-x86_64/gvfs-smb.install
    (from rev 140614, gvfs/trunk/gvfs-smb.install)
  gvfs/repos/testing-x86_64/gvfs.install
    (from rev 140614, gvfs/trunk/gvfs.install)

------------------------------------+
 testing-i686/PKGBUILD              |  113 +++++++++++++++++++++++++++++++++++
 testing-i686/gvfs-module.install   |    7 ++
 testing-i686/gvfs-smb.install      |   12 +++
 testing-i686/gvfs.install          |   14 ++++
 testing-x86_64/PKGBUILD            |  113 +++++++++++++++++++++++++++++++++++
 testing-x86_64/gvfs-module.install |    7 ++
 testing-x86_64/gvfs-smb.install    |   12 +++
 testing-x86_64/gvfs.install        |   14 ++++
 8 files changed, 292 insertions(+)

Copied: gvfs/repos/testing-i686/PKGBUILD (from rev 140614, gvfs/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2011-10-17 13:34:14 UTC (rev 140615)
@@ -0,0 +1,113 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=gvfs
+pkgname=('gvfs' 'gvfs-smb' 'gvfs-afc' 'gvfs-afp' 'gvfs-gphoto2' 'gvfs-obexftp')
+pkgver=1.10.1
+pkgrel=1
+arch=('i686' 'x86_64')
+license=('LGPL')
+makedepends=('libsoup-gnome' 'libcdio' 'fuse' 'bluez' 'smbclient' 'libgphoto2' 'libarchive' 'libgdu' 'pkgconfig' 'intltool' 'libimobiledevice' 'avahi' 'dconf')
+url="http://www.gnome.org"
+options=(!libtool)
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgbase}/${pkgver%.*}/${pkgbase}-${pkgver}.tar.xz)
+sha256sums=('cd30facee5ad6cd0fafc5337bbf7c06a0bff3936f9ff2ae31519b301efcc9288')
+
+build() {
+  cd "${srcdir}/${pkgbase}-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc \
+      --localstatedir=/var --disable-static \
+      --libexecdir=/usr/lib/gvfs \
+      --with-bash-completion-dir=/etc/bash_completion.d
+  make
+}
+
+package_gvfs() {
+  pkgdesc="Userspace virtual filesystem implemented as a pluggable module for gio"
+  depends=('libsoup-gnome' 'libgdu' 'libcdio' 'fuse' 'libarchive' 'avahi' 'dconf')
+  optdepends=('gvfs-afc: AFC (mobile devices) support'
+              'gvfs-smb: SMB/CIFS (Windows client) support'
+              'gvfs-gphoto2: gphoto2 (PTP camera/MTP media player) support'
+              'gvfs-obexftp: ObexFTP (bluetooth) support'
+              'gvfs-afp: Apple Filing Protocol (AFP) support')
+  install=gvfs.install
+
+  cd "${srcdir}/${pkgbase}-${pkgver}"
+  sed -e 's/^am__append_3/#am__append_3/' \
+      -e 's/^am__append_4/#am__append_4/' \
+      -i monitor/Makefile
+  make DESTDIR="${pkgdir}" install
+
+  cd "${pkgdir}"
+  rm usr/lib/gvfs/gvfsd-{smb,smb-browse,afc,afp,afp-browse,gphoto2,obexftp}
+  rm usr/share/gvfs/mounts/{smb,smb-browse,afc,afp,afp-browse,gphoto2,obexftp}.mount
+  rm usr/share/glib-2.0/schemas/org.gnome.system.smb.gschema.xml
+  rm usr/share/GConf/gsettings/gvfs-smb.convert
+}
+
+package_gvfs-smb() {
+  pkgdesc="SMB/CIFS (Windows client) backend for gvfs"
+  depends=("gvfs=${pkgver}" 'smbclient' 'libgnome-keyring')
+  install=gvfs-smb.install
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/daemon"
+  install -m755 -d "${pkgdir}/usr/lib/gvfs"
+  install -m755 -d "${pkgdir}/usr/share/gvfs/mounts"
+
+  install -m755 .libs/gvfsd-smb{,-browse} "${pkgdir}/usr/lib/gvfs/"
+  install -m644 smb{,-browse}.mount "${pkgdir}/usr/share/gvfs/mounts/"
+
+  install -Dm644 org.gnome.system.smb.gschema.xml \
+    "${pkgdir}/usr/share/glib-2.0/schemas/org.gnome.system.smb.gschema.xml"
+  install -Dm644 gvfs-smb.convert \
+    "${pkgdir}/usr/share/GConf/gsettings/gvfs-smb.convert"
+}
+
+package_gvfs-afc() {
+  pkgdesc="AFC (mobile devices) backend for gvfs"
+  depends=("gvfs=${pkgver}" 'libimobiledevice')
+  install=gvfs-module.install
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/daemon"
+  install -D .libs/gvfsd-afc "${pkgdir}/usr/lib/gvfs/gvfsd-afc"
+  install -Dm644 afc.mount "${pkgdir}/usr/share/gvfs/mounts/afc.mount"
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/monitor/afc"
+  make DESTDIR="${pkgdir}" install
+}
+
+package_gvfs-gphoto2() {
+  pkgdesc="gphoto2 (PTP camera/MTP media player) backend for gvfs"
+  depends=("gvfs=${pkgver}" 'dbus-core' 'libgphoto2' 'udev')
+  install=gvfs-module.install
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/daemon"
+  install -D .libs/gvfsd-gphoto2 "${pkgdir}/usr/lib/gvfs/gvfsd-gphoto2"
+  install -Dm644 gphoto2.mount "${pkgdir}/usr/share/gvfs/mounts/gphoto2.mount"
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/monitor/gphoto2"
+  make DESTDIR="${pkgdir}" install
+}
+
+package_gvfs-obexftp() {
+  pkgdesc="ObexFTP (bluetooth) backend for gvfs"
+  depends=("gvfs=${pkgver}" 'dbus-glib' 'bluez' 'obex-data-server')
+  install=gvfs-module.install
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/daemon"
+  install -D .libs/gvfsd-obexftp "${pkgdir}/usr/lib/gvfs/gvfsd-obexftp"
+  install -Dm644 obexftp.mount "${pkgdir}/usr/share/gvfs/mounts/obexftp.mount"
+}
+
+package_gvfs-afp() {
+  pkgdesc="Apple Filing Protocol (AFP) backend for gvfs"
+  depends=("gvfs=${pkgver}")
+  install=gvfs-module.install
+  install -m755 -d "${pkgdir}/usr/lib/gvfs"
+  install -m755 -d "${pkgdir}/usr/share/gvfs/mounts"
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/daemon"
+  install -m755 .libs/gvfsd-afp{,-browse} "${pkgdir}/usr/lib/gvfs/"
+  install -m644 afp{,-browse}.mount "${pkgdir}/usr/share/gvfs/mounts/"
+
+}

Copied: gvfs/repos/testing-i686/gvfs-module.install (from rev 140614, gvfs/trunk/gvfs-module.install)
===================================================================
--- testing-i686/gvfs-module.install	                        (rev 0)
+++ testing-i686/gvfs-module.install	2011-10-17 13:34:14 UTC (rev 140615)
@@ -0,0 +1,7 @@
+post_install() {
+  killall -USR1 gvfsd >&/dev/null || :
+}
+
+post_upgrade() {
+  post_install
+}

Copied: gvfs/repos/testing-i686/gvfs-smb.install (from rev 140614, gvfs/trunk/gvfs-smb.install)
===================================================================
--- testing-i686/gvfs-smb.install	                        (rev 0)
+++ testing-i686/gvfs-smb.install	2011-10-17 13:34:14 UTC (rev 140615)
@@ -0,0 +1,12 @@
+post_install() {
+  usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas
+  killall -USR1 gvfsd >&/dev/null || :
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas
+}

Copied: gvfs/repos/testing-i686/gvfs.install (from rev 140614, gvfs/trunk/gvfs.install)
===================================================================
--- testing-i686/gvfs.install	                        (rev 0)
+++ testing-i686/gvfs.install	2011-10-17 13:34:14 UTC (rev 140615)
@@ -0,0 +1,14 @@
+post_install() {
+  usr/bin/gio-querymodules usr/lib/gio/modules
+  usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas
+  killall -USR1 gvfsd >&/dev/null || :
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  usr/bin/gio-querymodules usr/lib/gio/modules
+  usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas
+}

Copied: gvfs/repos/testing-x86_64/PKGBUILD (from rev 140614, gvfs/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2011-10-17 13:34:14 UTC (rev 140615)
@@ -0,0 +1,113 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=gvfs
+pkgname=('gvfs' 'gvfs-smb' 'gvfs-afc' 'gvfs-afp' 'gvfs-gphoto2' 'gvfs-obexftp')
+pkgver=1.10.1
+pkgrel=1
+arch=('i686' 'x86_64')
+license=('LGPL')
+makedepends=('libsoup-gnome' 'libcdio' 'fuse' 'bluez' 'smbclient' 'libgphoto2' 'libarchive' 'libgdu' 'pkgconfig' 'intltool' 'libimobiledevice' 'avahi' 'dconf')
+url="http://www.gnome.org"
+options=(!libtool)
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgbase}/${pkgver%.*}/${pkgbase}-${pkgver}.tar.xz)
+sha256sums=('cd30facee5ad6cd0fafc5337bbf7c06a0bff3936f9ff2ae31519b301efcc9288')
+
+build() {
+  cd "${srcdir}/${pkgbase}-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc \
+      --localstatedir=/var --disable-static \
+      --libexecdir=/usr/lib/gvfs \
+      --with-bash-completion-dir=/etc/bash_completion.d
+  make
+}
+
+package_gvfs() {
+  pkgdesc="Userspace virtual filesystem implemented as a pluggable module for gio"
+  depends=('libsoup-gnome' 'libgdu' 'libcdio' 'fuse' 'libarchive' 'avahi' 'dconf')
+  optdepends=('gvfs-afc: AFC (mobile devices) support'
+              'gvfs-smb: SMB/CIFS (Windows client) support'
+              'gvfs-gphoto2: gphoto2 (PTP camera/MTP media player) support'
+              'gvfs-obexftp: ObexFTP (bluetooth) support'
+              'gvfs-afp: Apple Filing Protocol (AFP) support')
+  install=gvfs.install
+
+  cd "${srcdir}/${pkgbase}-${pkgver}"
+  sed -e 's/^am__append_3/#am__append_3/' \
+      -e 's/^am__append_4/#am__append_4/' \
+      -i monitor/Makefile
+  make DESTDIR="${pkgdir}" install
+
+  cd "${pkgdir}"
+  rm usr/lib/gvfs/gvfsd-{smb,smb-browse,afc,afp,afp-browse,gphoto2,obexftp}
+  rm usr/share/gvfs/mounts/{smb,smb-browse,afc,afp,afp-browse,gphoto2,obexftp}.mount
+  rm usr/share/glib-2.0/schemas/org.gnome.system.smb.gschema.xml
+  rm usr/share/GConf/gsettings/gvfs-smb.convert
+}
+
+package_gvfs-smb() {
+  pkgdesc="SMB/CIFS (Windows client) backend for gvfs"
+  depends=("gvfs=${pkgver}" 'smbclient' 'libgnome-keyring')
+  install=gvfs-smb.install
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/daemon"
+  install -m755 -d "${pkgdir}/usr/lib/gvfs"
+  install -m755 -d "${pkgdir}/usr/share/gvfs/mounts"
+
+  install -m755 .libs/gvfsd-smb{,-browse} "${pkgdir}/usr/lib/gvfs/"
+  install -m644 smb{,-browse}.mount "${pkgdir}/usr/share/gvfs/mounts/"
+
+  install -Dm644 org.gnome.system.smb.gschema.xml \
+    "${pkgdir}/usr/share/glib-2.0/schemas/org.gnome.system.smb.gschema.xml"
+  install -Dm644 gvfs-smb.convert \
+    "${pkgdir}/usr/share/GConf/gsettings/gvfs-smb.convert"
+}
+
+package_gvfs-afc() {
+  pkgdesc="AFC (mobile devices) backend for gvfs"
+  depends=("gvfs=${pkgver}" 'libimobiledevice')
+  install=gvfs-module.install
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/daemon"
+  install -D .libs/gvfsd-afc "${pkgdir}/usr/lib/gvfs/gvfsd-afc"
+  install -Dm644 afc.mount "${pkgdir}/usr/share/gvfs/mounts/afc.mount"
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/monitor/afc"
+  make DESTDIR="${pkgdir}" install
+}
+
+package_gvfs-gphoto2() {
+  pkgdesc="gphoto2 (PTP camera/MTP media player) backend for gvfs"
+  depends=("gvfs=${pkgver}" 'dbus-core' 'libgphoto2' 'udev')
+  install=gvfs-module.install
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/daemon"
+  install -D .libs/gvfsd-gphoto2 "${pkgdir}/usr/lib/gvfs/gvfsd-gphoto2"
+  install -Dm644 gphoto2.mount "${pkgdir}/usr/share/gvfs/mounts/gphoto2.mount"
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/monitor/gphoto2"
+  make DESTDIR="${pkgdir}" install
+}
+
+package_gvfs-obexftp() {
+  pkgdesc="ObexFTP (bluetooth) backend for gvfs"
+  depends=("gvfs=${pkgver}" 'dbus-glib' 'bluez' 'obex-data-server')
+  install=gvfs-module.install
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/daemon"
+  install -D .libs/gvfsd-obexftp "${pkgdir}/usr/lib/gvfs/gvfsd-obexftp"
+  install -Dm644 obexftp.mount "${pkgdir}/usr/share/gvfs/mounts/obexftp.mount"
+}
+
+package_gvfs-afp() {
+  pkgdesc="Apple Filing Protocol (AFP) backend for gvfs"
+  depends=("gvfs=${pkgver}")
+  install=gvfs-module.install
+  install -m755 -d "${pkgdir}/usr/lib/gvfs"
+  install -m755 -d "${pkgdir}/usr/share/gvfs/mounts"
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/daemon"
+  install -m755 .libs/gvfsd-afp{,-browse} "${pkgdir}/usr/lib/gvfs/"
+  install -m644 afp{,-browse}.mount "${pkgdir}/usr/share/gvfs/mounts/"
+
+}

Copied: gvfs/repos/testing-x86_64/gvfs-module.install (from rev 140614, gvfs/trunk/gvfs-module.install)
===================================================================
--- testing-x86_64/gvfs-module.install	                        (rev 0)
+++ testing-x86_64/gvfs-module.install	2011-10-17 13:34:14 UTC (rev 140615)
@@ -0,0 +1,7 @@
+post_install() {
+  killall -USR1 gvfsd >&/dev/null || :
+}
+
+post_upgrade() {
+  post_install
+}

Copied: gvfs/repos/testing-x86_64/gvfs-smb.install (from rev 140614, gvfs/trunk/gvfs-smb.install)
===================================================================
--- testing-x86_64/gvfs-smb.install	                        (rev 0)
+++ testing-x86_64/gvfs-smb.install	2011-10-17 13:34:14 UTC (rev 140615)
@@ -0,0 +1,12 @@
+post_install() {
+  usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas
+  killall -USR1 gvfsd >&/dev/null || :
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas
+}

Copied: gvfs/repos/testing-x86_64/gvfs.install (from rev 140614, gvfs/trunk/gvfs.install)
===================================================================
--- testing-x86_64/gvfs.install	                        (rev 0)
+++ testing-x86_64/gvfs.install	2011-10-17 13:34:14 UTC (rev 140615)
@@ -0,0 +1,14 @@
+post_install() {
+  usr/bin/gio-querymodules usr/lib/gio/modules
+  usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas
+  killall -USR1 gvfsd >&/dev/null || :
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  usr/bin/gio-querymodules usr/lib/gio/modules
+  usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas
+}



More information about the arch-commits mailing list